[arch-commits] Commit in gconf-editor/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Sep 27 14:06:36 EDT 2008


    Date: Saturday, September 27, 2008 @ 14:06:36
  Author: jgc
Revision: 13575

upgpkg: gconf-editor 2.24.0.1-1

Modified:
  gconf-editor/trunk/PKGBUILD

----------+
 PKGBUILD |   20 ++++++++++----------
 1 file changed, 10 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2008-09-27 17:57:01 UTC (rev 13574)
+++ PKGBUILD	2008-09-27 18:06:36 UTC (rev 13575)
@@ -2,28 +2,28 @@
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=gconf-editor
-pkgver=2.22.0
+pkgver=2.24.0.1
 pkgrel=1
 pkgdesc="Graphical gconf registry editor"
 arch=(i686 x86_64)
 license=('GPL')
-depends=('libgnomeui>=2.22.01')
-makedepends=('pkgconfig' 'perlxml' 'gnome-doc-utils>=0.12.2')
+depends=('libgnomeui>=2.24.0')
+makedepends=('pkgconfig' 'perlxml' 'gnome-doc-utils>=0.14.0')
 url="http://www.gnome.org"
 groups=('gnome-extra')
 options=(!emptydirs)
 install=gconf-editor.install
-source=(http://ftp.gnome.org/pub/gnome/sources/gconf-editor/2.22/gconf-editor-${pkgver}.tar.bz2)
-md5sums=('7ca99aec214dd855b5de7dacc8937055')
+source=(http://ftp.gnome.org/pub/gnome/sources/gconf-editor/2.24/gconf-editor-${pkgver}.tar.bz2)
+md5sums=('e2e1cddbebda87e794fabdbe3928ef6f')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
               --localstatedir=/var --disable-scrollkeeper || return 1
   make || return 1
-  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR=${startdir}/pkg install || return 1
+  make GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 DESTDIR="${pkgdir}" install || return 1
   
-  install -m755 -d ${startdir}/pkg/usr/share/gconf/schemas
-  gconf-merge-schema ${startdir}/pkg/usr/share/gconf/schemas/${pkgname}.schemas ${startdir}/pkg/etc/gconf/schemas/*.schemas || return 1
-  rm -f ${startdir}/pkg/etc/gconf/schemas/*.schemas
+  install -m755 -d "${pkgdir}/usr/share/gconf/schemas"
+  gconf-merge-schema "${pkgdir}/usr/share/gconf/schemas/${pkgname}.schemas" ${pkgdir}/etc/gconf/schemas/*.schemas || return 1
+  rm -f ${pkgdir}/etc/gconf/schemas/*.schemas
 }




More information about the arch-commits mailing list